Skip to content

Changelog libglvnd (1.3.1-1)

2020

libglvnd (1.3.1-1) unstable; urgency=medium

   * New upstream release.
   * control: Add libopengl-dev to libglvnd-dev depends, since it used to
     carry the .so.
   * patches: Dropped, upstream.

libglvnd (1.3.0-7) unstable; urgency=medium

   * control: Add libglx-dev to libgl-dev Depends.

libglvnd (1.3.0-6) unstable; urgency=medium

   * Move glx headers to libglx-dev. (Closes: #947364)

2019

libglvnd (1.3.0-5) unstable; urgency=medium

   * control: Add lib{egl,gl,gles,glx}-dev to libglvnd-dev depends, since
     the .so symlinks have moved.

libglvnd (1.3.0-4) unstable; urgency=medium

   * Upload to unstable.

libglvnd (1.3.0-3) experimental; urgency=medium

   * fix-armel-build.diff: Attempt to fix build on armel.

libglvnd (1.3.0-2) experimental; urgency=medium

   * Update libglvnd0.symbols for arm64.
   * fix-armv7-build.diff: Fix armel/armhf build.

libglvnd (1.3.0-1) experimental; urgency=medium

   * New upstream release. (Closes: #930514) (LP: #1816004)
   * Package lib{egl,gl,gles,glx,opengl}-dev, headers etc moved here from
     mesa.
   * libgl1.symbols: Updated.
   * Fold libglvnd-core-dev into libglvnd-dev.
   * control: Drop old Breaks/Replaces.
   * libgles1: Override package-name-doesnt-match-sonames.
   * control: Support nocheck profile for xvfb build-dep. (Closes: #928475)
   * control: Fix lib{egl,gles,glx}-dev depends.
   * Migrate to python3. (Closes: #936868)
   * control, copyright: Update upstream url.
   * copyright: Updated.
   * control, rules: Build with meson.
   * libegl1.symbols: Updated.

2018

libglvnd (1.1.0-1) unstable; urgency=medium

   * New upstream release.
   * gles: Move libgles1 symbols to the correct package.
   * libgl1.symbols: Updated.

libglvnd (1.0.0+git20180308-5) unstable; urgency=medium

   * Move libGLESv1 to it's own package.

libglvnd (1.0.0+git20180308-4) unstable; urgency=medium

   * rules, libgles2: Add GLESv1 support. (LP: #1782285)

libglvnd (1.0.0+git20180308-3) unstable; urgency=medium

   * control: Drop the alternate depends on lib{egl,glx}-vendor, the
     default provided by mesa should always be installed.

libglvnd (1.0.0+git20180308-2) unstable; urgency=medium

   * rules: Disable tests, they fail the build on many archs.
     (Closes: #896602)

libglvnd (1.0.0+git20180308-1) unstable; urgency=medium

   * New upstream snapshot.
     - bump library minor versions to avoid issues with leftover libs
       taking precedence (Closes: #884717)
   * control, rules: Enable tests, build-depend on xauth, xvfb.
   * kfreebsd-hurd.patch: Dropped, upstream.
   * control: Update VCS urls.

libglvnd (1.0.0-2) unstable; urgency=medium

   [ Andreas Beckmann ]
   * Add bug-control file to report whether the proprietary nvidia driver is
     installed.
   * Switch to dh_missing --fail-missing.
 
   [ Andreas Boll ]
   * Bump standards version to 4.1.2.
   * control: Remove duplicated Section fields.

libglvnd (1.0.0-1.1) unstable; urgency=medium

   [ Samuel Thibault ]
   * Non-maintainer upload.
 
   [ Andreas Beckmann ]
   * Use source format 3.0 (quilt).
   * kfreebsd-hurd.patch: New, fix FTBFS on kFreeBSD and Hurd.
     (Closes: #870445)

2017

libglvnd (1.0.0-1) unstable; urgency=high

   [ Andreas Boll ]
   * Add versioned libglvnd0 dependencies (Workaround for #878851).
   * Raise Priority to optional.
   * Bump standards version to 4.1.1.
 
   [ Timo Aaltonen ]
   * New upstream release.
   * Add a watch file for uscan.
   * libgles2.symbols: Updated.

libglvnd (0.2.999+git20170802-5) unstable; urgency=medium

   * control: Mark libglvnd-dev and -core-dev as M-A: same.

libglvnd (0.2.999+git20170802-4) unstable; urgency=medium

   * control: libglvnd-dev Breaks/Replaces old libegl1-mesa-dev/libgl1-
     mesa-dev/libgles2-mesa-dev. (Closes: #875446)

libglvnd (0.2.999+git20170802-3) unstable; urgency=medium

   [ Timo Aaltonen ]
   * control: Add Breaks/Replaces to match mesa upload which enabled
     GLVND. (Closes: #870686)
   * control: Add back depends on default libegl/libglx vendor.
 
   [ Andreas Beckmann ]
   * libgl1: Add Breaks against glx-diversions (<< 0.8) which did not divert
     libGL.so.1.0.0.
   * libglvnd0: Add Breaks+Replaces: libgldispatch0-nvidia which also shipped
     libGLdispatch.so.0.

libglvnd (0.2.999+git20170802-2) unstable; urgency=medium

   * libglvnd0.symbols: Fix a typo.

libglvnd (0.2.999+git20170802-1) unstable; urgency=medium

   * New upstream snapshot.
   * libglx0.symbols: Updated.
   * libglvnd0.symbols: Arm64 doesn't have support for TLS stubs yet.
     (Closes: #870444)

libglvnd (0.2.999+git20170201-4) experimental; urgency=medium

   * copyright: Updated.
   * control: Bump policy to 4.0.0, no changes.

libglvnd (0.2.999+git20170201-3) experimental; urgency=medium

   * control: Drop depends on lib{egl,glx}-mesa0 | -vendor, these are
     only for default driver policy and will be added back once we switch
     mesa to use libglvnd.

libglvnd (0.2.999+git20170201-2) experimental; urgency=medium

   * control: Add depends on default libegl/libglx vendor.
   * control: Drop useless P/R/C: libegl1-x11 from libegl1.
   * control: Split libglx0 from libgl1.

libglvnd (0.2.999+git20170201-1) experimental; urgency=medium

   [ Timo Aaltonen ]
   * New upstream snapshot.
   * Add symbols file.
   * Split packaging so that Mesa can be bootstrapped to use this.
 
   [ Andreas Boll ]
   * copyright: Add missing wildcard.

2016

libglvnd (0.2.999+git20161203-1) experimental; urgency=low

   * Initial release (Closes: #812530)